QUOTAON(8)

NUME
quotaon, quotaoff - activează și dezactivează cotele din sistemul de fișiere

SINOPSIS
quotaon [ -vugfp ] [ -F nume-format ] sistem-fișiere...
quotaon [ -avugPfp ] [ -F nume-format ]

quotaoff [ -vugPp ] [ -x stare ] sistem-fișiere...
quotaoff [ -avugp ]

DESCRIERE

  quotaon

quotaon anunță sistemul că trebuie activate cotele de discuri pe unul sau mai multe sisteme de fișiere. Fișierele de cote de sistem de fișiere trebuie să fie prezente în directorul rădăcină al sistemului de fișiere specificat și să se numească fie aquota.user (pentru cota de utilizator versiunea 2), quota.user (pentru cota de utilizator versiunea 1), aquota.group (pentru cota de grup versiunea 2), sau quota.group (pentru cota de grup versiunea 1).

Sistemele de fișiere XFS sunt un caz special - XFS consideră informațiile privind cotele ca fiind metadate ale sistemului de fișiere și utilizează jurnalizarea pentru a oferi un nivel mai ridicat de garanție a consistenței. Sistemul de cote pe disc XFS are două componente: contabilizarea și aplicarea limitelor. Sistemele de fișiere XFS necesită activarea contabilizării cotelor în momentul montării. Este posibil să se activeze și să se dezactiveze aplicarea limitelor pe un sistem de fișiere XFS după ce contabilizarea cotelor este deja activată. În mod implicit, se activează atât contabilizarea, cât și aplicarea cotelor.

Implementarea cotelor XFS nu păstrează informațiile privind cotele în fișierele vizibile pentru utilizator, ci stochează aceste informații la nivel intern.

  quotaoff

quotaoff anunță sistemul că sistemele de fișiere specificate ar trebui să aibă toate cotele de disc dezactivate.

OPȚIUNI

  quotaon

-F, --format=nume-format
    Raportează cota pentru formatul specificat (adică nu efectuează autodetecția formatului). Numele formatelor posibile sunt: vfsold Formatul original al cotelor cu UID-uri / GID-uri pe 16 biți, vfsv0 Formatul cotelor cu UID-uri / GID-uri pe 32 de biți, utilizarea spațiului pe 64 de biți, utilizarea și limitele nodurilor-i pe 32 de biți, vfsv1 Formatul cotelor cu limitele și utilizarea cotelor pe 64 de biți, xfs (cote pe sistemul de fișiere XFS).

-a, --all
    Toate sistemele de fișiere non-NFS montate automat (fără opțiunea noauto) în /etc/fstab cu cote vor avea cotele activate. Această opțiune este utilizată în mod normal la pornire pentru a activa cotele.

-v, --verbose
    Afișează un mesaj pentru fiecare sistem de fișiere în care sunt activate cotele.

-u, --user
    Manipulează cotele de utilizatori. Aceasta este valoarea implicită.

-g, --group
    Manipulează cotele de grup.

-P, --project
    Manipulează cotele de proiect.

-p, --print-state
    În loc să activeze cotele, imprimă doar starea cotelor (de exemplu, dacă cota este activată sau dezactivată).

-x, --xfs-command enforce
    Activează aplicarea limitelor pentru sistemele de fișiere XFS. Aceasta este acțiunea implicită pentru orice sistem de fișiere XFS. Această opțiune se aplică numai la XFS și este ignorată în mod silențios pentru alte tipuri de sisteme de fișiere.

-f, --off
    Face ca quotaon să se comporte ca și cum ar fi fost apelat quotaoff.

  quotaoff

-F, --format=nume-format
    Raportează cota pentru formatul specificat (adică nu efectuează autodetecția formatului). Denumirile de formate posibile sunt: vfsold (cotă versiune 1), vfsv0 (cotă versiune 2), xfs (cotă pe sistemul de fișiere XFS).

-a, --all
    Forțează toate sistemele de fișiere din /etc/fstab să aibă cotele dezactivate.

-v, --verbose
    Afișează un mesaj pentru fiecare sistem de fișiere afectat.

-u, --user
    Manipulează cotele de utilizatori. Aceasta este valoarea implicită.

-g, --group
    Manipulează cotele de grup.

-P, --project
    Manipulează cotele de proiect.

-p, --print-state
    În loc să dezactiveze cotele, imprimă doar starea cotelor (adică dacă cota este activată sau dezactivată).

-x, --xfs-command delete
    Eliberează spațiul utilizat pentru a păstra informațiile privind cotele (menținute la nivel intern) în XFS. Această opțiune se aplică numai la XFS și este ignorată în tăcere pentru alte tipuri de sisteme de fișiere. Poate fi utilizată numai pe un sistem de fișiere în care cotele au fost dezactivate anterior.

-x, --xfs-command enforce
    Dezactivează aplicarea limitelor pentru sistemele de fișiere XFS ( efectuează doar contabilizarea cotelor). Aceasta este acțiunea implicită pentru orice sistem de fișiere XFS. Această opțiune se aplică numai la XFS și este ignorată în mod silențios pentru alte tipuri de sisteme de fișiere.

-x, --xfs-command account
    Această opțiune poate fi utilizată pentru a dezactiva contabilizarea cotelor. Nu este posibilă activarea contabilizării cotelor prin instrumente de cote. Pentru aceasta, utilizați mount(8). Această opțiune se aplică numai la sistemele de fișiere XFS și este ignorată în mod silențios pentru alte tipuri de sisteme de fișiere.

NOTE PRIVIND SISTEMELE DE FIȘIERE XFS
Pentru a activa cotele pe un sistem de fișiere XFS, utilizați opțiunea mount(8) sau /etc/fstab quota pentru a activa atât contabilizarea, cât și aplicarea limitelor. Instrumentul quotaon nu poate fi utilizat în acest scop.

Activarea cotelor pe un sistem de fișiere rădăcină XFS necesită ca opțiunile de montare a cotelor să fie transmise nucleului în momentul pornirii prin intermediul opțiunii de pornire Linux rootflags.

Pentru a dezactiva aplicarea limitei de cote pe orice sistem de fișiere XFS, asigurați-vă mai întâi că atât contabilizarea cât și aplicarea cotelor sunt activate folosind repquota -v filesystem. Apoi, utilizați quotaoff -v sistem-fișiere pentru a dezactiva aplicarea limitei. Acest lucru se poate face în timp ce sistemul de fișiere este montat.

Activarea aplicării limitei de cote pe un sistem de fișiere XFS se realizează utilizând quotaon -v sistem-fișiere. Acest lucru se poate face în timp ce sistemul de fișiere este montat.

FIȘIERE
aquota.user sau aquota.group
    fișier de cotă la rădăcina sistemului de fișiere («quota» versiunea 2, sisteme de fișiere non-XFS)
quota.user sau quota.group
    fișier de cotă la rădăcina sistemului de fișiere («quota» versiunea 1, sisteme de fișiere non-XFS)
/etc/fstab
    sisteme de fișiere implicite

CONSULTAȚI ȘI
quotactl(2), fstab(5), quota_nld(8), repquota(8), warnquota(8)

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.